SDL_ScaleSurface(3)

NAME
SDL_ScaleSurface - Creates a new surface identical to the existing surface, scaled to the desired size.

SYNOPSIS
#include <SDL3/SDL_surface.h>

SDL_Surface * SDL_ScaleSurface(SDL_Surface *surface, int width, int height, SDL_ScaleMode scaleMode);

DESCRIPTION
The returned surface should be freed with SDL_DestroySurface().

FUNCTION PARAMETERS

surface
    the surface to duplicate and scale.

width
    the width of the new surface.

height
    the height of the new surface.

scaleMode
    the SDL_ScaleMode to be used.

RETURN VALUE
Returns a copy of the surface or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DestroySurface(3)